optparse-applicative-0.18.1.0: Utilities and combinators for parsing command line options

Safe Haskell | Safe-Inferred
Language | Haskell98

Options.Applicative.NonEmpty

Synopsis

- some1 :: Parser a -> Parser (NonEmpty a)

# Documentation

some1 :: Parser a -> Parser (NonEmpty a) #

Sequences an action one or more times.

Functionally identical to `some1`, but is preferred as it gives a nicer help text.